com.sun.jna.platform.win32

## Class WinNT.HANDLEByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinNT.HANDLEByReference

All Implemented Interfaces:
  NativeMapped

Direct Known Subclasses:
  WinDef.HGLRCByReference

Enclosing interface:
  WinNT

    public static class WinNT.HANDLEByReference
    extends ByReference

LPHANDLE

### Constructor Summary

Constructors
Constructor and Description
`HANDLEByReference()`
`HANDLEByReference(WinNT.HANDLE h)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinNT.HANDLE` `getValue()`
`void` `setValue(WinNT.HANDLE h)`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HANDLEByReference

    public HANDLEByReference()

#### HANDLEByReference

    public HANDLEByReference(WinNT.HANDLE h)

### Method Detail

#### setValue

    public void setValue(WinNT.HANDLE h)

#### getValue

    public WinNT.HANDLE getValue()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.